# GitHub

This package aims to ease the process of interacting with GitHub.

[![NPM version](https://img.shields.io/npm/v/@studyportals/github.svg?style=flat)](https://www.npmjs.com/package/@studyportals/github)
[![NPM license](https://img.shields.io/npm/l/@studyportals/github.svg?style=flat)](https://www.npmjs.com/package/@studyportals/github)
[![NPM downloads](https://img.shields.io/npm/dm/@studyportals/github.svg?style=flat)](https://www.npmjs.com/package/@studyportals/github)

## Interface:
```typescript
export interface IGitHub {
	getComments(owner: string, repository: string, issueNumber?: string): Promise<[IGitHubComment]>;
	deleteComment(owner: string, repository: string, commentId: string): Promise<any>;
	postComment(owner: string, repository: string, issueNumber: string, body: string): Promise<IGitHubComment>;
}
```

## Example:

```nodemon
npm install --save @studyportals/github
```

_TypeScript_
```typescript
import {GitHub} from "@studyportals/github";

const GH = new GitHub(process.env.GITHUB_TOKEN);

return GH.postComment("studyportals", "github", "1", "Comment description")
    .then((comment) => { });
```

_Node_
```node
const github = require("@studyportals/github");
const GH = new github.GitHub(process.env.GITHUB_TOKEN);

return GH.postComment("studyportals", "github", "1", "Comment description")
    .then((comment) => { });
```

## Development
[![Build Status](https://travis-ci.org/studyportals/GitHub.svg?branch=master&style=flat)](https://travis-ci.org/studyportals/GitHub)
